Subject: More than 16 bobs from AMAL
From: [email-masked] (Daniel John Lee Parnell)
To: [email-masked] (amos Amos Mailing List)
Date: Fri, 10 Sep 1993 21:23:42 +1000 (EST)

G'day all!
	I noticed recently that people have been complaining that it is not
possible to animate more than 16 objects with AMAL, well, the following program
shows that is is possible to do a lot more than that.

					Daniel

----------------------------------CUT HERE-----------------------------------

' Test Program By Daniel Parnell 10th August 1993
'  
' This program uses interrupts to move 64 bobs using AMAL
' thus showing that it is possible to animate more than 16 bobs under
' interrupts 
'
A$="S: Move 150,0,150; Move 0,70,100; Move -150,0,150; Move 0,-70,100; Jump S"
Synchro Off 
Flash Off 
Set Curs %1000,%1000,%1000,%1111111,%1000,%1000,%1000,%0
Get Bob 1,1,0 To 8,8
Curs Off 
Cls 0
Locate 10,10
Centre "Press mouse key to exit."
'
S$="This program shows that it is possible to use AMAL under interrupts "
S$=S$+"for more than 16 bobs.  In this program there are 64 COUNT'EM.... "
S$=S$+"64 bobs all moving in a rectange.  This is all done using the "
S$=S$+"interupts....  SO IT CAN BE DONE!!!  :)                       "
'
Def Scroll 1,0,100 To 320,108,-2,0
Double Buffer 
'
For I=0 To 7
   For J=0 To 7
      Bob I+J*8,I*16,J*16,1
   Next J
Next I
'
For I=0 To 63
   Channel I To Bob I
   Amal I,A$
Next I
'
Amal On 
Synchro On 
'
Do 
   Scroll 1
   Inc C
   If C=4
      C=0
      Inc TP
      If TP>Len(S$)
         TP=1
      End If 
      Text 310,106,Mid$(S$,TP,1)
   End If 
   '
   Exit If Mouse Key
Loop 
'
Bob Off 
Screen Close 0

----------------------------------CUT HERE-----------------------------------

Daniel Parnell  -  Email to [email-masked]   -   AMIGA 500 1 MEG
 Second Year Applied Physics student at R.M.I.T. Melbourne Australia.   *:|()
   People who drink petrol shouldn't smoke.  AMOS 1.34 with Compiler and 3D
      Squaxx Dek Thargo since prog 579 - C64 Oric Amiga Mac CCPM - Forth